# $Revision: 1.73 $, $Date: 2002/09/18 21:10:30 $
Summary:	Public Domain Korn Shell
Summary(de):	Korn-Shell aus dem Public Domain
Summary(es):	Shell Korn de dominio pblico
Summary(fr):	Korn Shell du domaine public
Summary(pl):	Shell Korna z Public Domain
Summary(pt_BR):	Shell Korn de domnio pblico
Summary(ru):	    Korn shell (ksh)
Summary(tr):	Serbest Korn kabuu
Summary(uk):	 ̦æ   Korn shell (ksh)
Name:		pdksh
Version:	5.2.14
Release:	27
License:	mostly Public Domain with Free & GPL additions
Group:		Applications/Shells
Source0:	ftp://ftp.cs.mun.ca/pub/pdksh/%{name}-%{version}.tar.gz
Source1:	ksh.1.pl
Patch0:		%{name}-static.patch
Patch1:		%{name}-history.patch
Patch2:		ftp://ftp.cs.mun.ca/pub/pdksh/%{name}-%{version}-patches.1
Patch3:		ftp://ftp.cs.mun.ca/pub/pdksh/%{name}-%{version}-patches.2
Patch4:		%{name}-debian.patch
Patch5:		%{name}-EDITMODE.patch
Patch6:		%{name}-rlimit_locks.patch
Patch7:		%{name}-eval-segv.patch
Patch8:		%{name}-awful-free-bug.patch
Patch9:		%{name}-no_stop_alias.patch
Patch10:	%{name}-man_no_plusminus.patch
URL:		http://www.cs.mun.ca/~michael/pdksh/
%{?_without_static:#}BuildRequires:        glibc-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix		/

%description
pdksh, a remimplementation of ksh, is a command interpreter that is
intended for both interactive and shell script use. Its command
language is a superset of the sh(1) shell language.

%description -l de
pdksh, eine Neuimplementierung von ksh, ist ein Befehlsinterpreter fr
interaktiven und Shell-Script-Betrieb. Die Befehlssprache ist eine
bermenge der Shell-Sprache sh(1).

%description -l es
Pdksh, una ampliacin ms de ksh, es un interpretador de comandos
destinado tanto al uso interactivo como en shell scripts. Su lenguaje
de comandos es un superconjunto del lenguaje sh(1) shell.

%description -l fr
pdksh, un remplacement de ksh, est un interprteur de commande qui est
 destin  la fois  l'utilisation interactive et a l'utilisation de
scripts. Son langage de commande est un ensemble de commande du
langage shell de sh(1).

%description -l pl
Pdksh jest implementacj shella ksh. Komendy pdksh s zgodne z
komendami shella sh(1).

%description -l pt_BR
Pdksh, uma reimplementao de ksh,  um interpretador de comandos
destinado tanto para uso interativo como em shell scripts. Sua
linguagem de comandos  um superconjunto da linguagem sh(1) shell.

%description -l ru
pdksh,   ksh, -   ,
    ,     
 .      
 sh(1).

%description -l tr
pdksh, hem etkileimli hem de kabuk programcklarnn kullanm iin
tasarlanm bir komut yorumlaycsdr. pdksh'n komut dili sh(1)
kabuk dilinin bir kmesidir.

%description -l uk
pdksh, צ ̦æ ksh, -   ,  
  ,       .
      sh(1).

%package static
Summary:	Statically linked Public Domain Korn Shell
Summary(pl):	Statycznie zlinkowany shell Korna
Group:		Applications/Shells
Requires:	%{name}

%description static
pdksh, a remimplementation of ksh, is a command interpreter that is
intended for both interactive and shell script use. Its command
language is a superset of the sh(1) shell language.

This packege contains statically linked version of pdksh.

%description static -l pl
Pdksh jest implementacj shella ksh. Komendy pdksh s zgodne z
komendami shella sh(1).

W tym pakiecie jest statycznie zlinkowany pdksh.

%prep
%setup  -q
%{?_without_static:#}%patch0 -p0
%patch1 -p1
%patch2 -p2
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%build
#%{__autoconf}
%configure2_13 \
	--enable-emacs \
	--enable-vi
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/pl/man1,%{_sysconfdir}}

%{__make} install \
	exec_prefix=$RPM_BUILD_ROOT/ \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1

echo ".so ksh.1" > $RPM_BUILD_ROOT%{_mandir}/man1/pdksh.1
echo ".so ksh.1" > $RPM_BUILD_ROOT%{_mandir}/man1/sh.1

install	%{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/ksh.1
echo ".so ksh.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/pdksh.1
echo ".so ksh.1" > $RPM_BUILD_ROOT%{_mandir}/pl/man1/sh.1

ln -sf ksh $RPM_BUILD_ROOT/bin/sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ksh" > /etc/shells
	echo "/bin/sh" >> /etc/shells
else
	while read SHNAME; do
        	if [ "$SHNAME" = "/bin/ksh" ]; then
                	HAS_KSH=1
	        elif [ "$SHNAME" = "/bin/sh" ]; then
        	        HAS_SH=1
	        fi
	done < /etc/shells
	[ -n "$HAS_KSH" ] || echo "/bin/ksh" >> /etc/shells
	[ -n "$HAS_SH" ] || echo "/bin/sh" >> /etc/shells
fi

%post static
if [ ! -f /etc/shells ]; then
	echo "/bin/ksh.static" > /etc/shells
else
	while read SHNAME; do
        	if [ "$SHNAME" = "/bin/ksh.static" ]; then
                	HAS_KSH_STATIC=1
	        fi
	done < /etc/shells
	[ -n "$HAS_KSH_STATIC" ] || echo "/bin/ksh.static" >> /etc/shells
fi

%preun
if [ "$1" = "0" ]; then
	while read SHNAME; do
		[ "$SHNAME" = "/bin/ksh" ] ||\
		[ "$SHNAME" = "/bin/sh" ] ||\
		echo "$SHNAME"
	done < /etc/shells > /etc/shells.new
	mv -f /etc/shells.new /etc/shells
fi

%preun static
if [ "$1" = "0" ]; then
	while read SHNAME; do
		[ "$SHNAME" = "/bin/ksh.static" ] ||\
		echo "$SHNAME"
	done
	mv -f /etc/shells.new /etc/shells
fi

%files
%defattr(644,root,root,755)
%doc README NEWS BUG-REPORTS

%attr(755,root,root) /bin/ksh
%attr(755,root,root) /bin/sh

%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%{?_without_static:#}%files static
%{?_without_static:#}%defattr(644,root,root,755)
%{?_without_static:#}%attr(755,root,root) /bin/ksh.static

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pdksh.spec,v $
Revision 1.73  2002/09/18 21:10:30  qboosh
- removed quote patch - debian patch already contains fix for escaping special
  chars, and such "double quoting" was breaking completions; also, quote patch
  didn't properly escape '"' char, so I decided to leave debian patch
- release 27

Revision 1.72  2002/05/30 11:15:14  kloczek
- remove no_std_aliases patrch and added no_stop_alias patrch (remove only stop alias),
- use new %doc,
- merge translations from KSI.

Revision 1.71  2002/04/29 22:01:34  ankry
- remove "+/-" sign from en man page (requires iso8859-1 to be set) -
  pdksh-man_no_plusminus.patch
- release 26

Revision 1.70  2002/03/20 23:38:52  agaran
added buildreq glibc-static (conditional by --without static)

Revision 1.69  2002/02/24 10:06:24  misiek
- aliases patch will be back later (it's waiting for kloczek fix)

Revision 1.68  2002/02/22 23:29:24  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.67  2002/02/16 18:15:05  kloczek
- reelase 25: added no_std_aliases patch which removes all standard aliases
  hardcoded in pdksh code which dissallow using some commands or functions
  eith the same names as this aliases.

Revision 1.66  2002/01/22 22:34:52  qboosh
- the same, upper case

Revision 1.65  2002/01/22 22:32:42  qboosh
- typo

Revision 1.64  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.63  2001/10/20 00:40:22  kloczek
- merge translations from CNV.

Revision 1.62  2001/10/19 12:54:44  qboosh
- integrated history0 into history patch (bug was in history patch)
- changed awful-free-bug patch: test start address too when checking for
  large object (bug caught by libtool in gal package)
- release 24

Revision 1.61  2001/07/18 20:31:49  qboosh
- history0 patch: don't segfault when running in interactive mode
  if .history contains \0
- %%configure2_13 (ac2.50 requires some fixes)
  (removed running autoconf - seems to be unnecessary)
- release 23

Revision 1.60  2001/07/02 00:33:57  qboosh
- fixed awful memory (de)allocation bug (hope it's the end of SEGVs!)
  (libtool is good at least as pdksh-bug-detector :P)
- removed alloc patch (don't fix what isn't broken)
- release 22

Revision 1.59  2001/05/22 09:06:34  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.58  2001/05/17 02:34:41  qboosh
- eval-segv patch: it wasn't memory management - eval destroyed source pointer
  I'm not sure the fix is correct and final but it seems to work :)))
- release 21

Revision 1.57  2001/05/12 18:23:42  qboosh
- fixed history patch (SEGV in some cases)
- release 20
NOTE: still there's something wrong with memory management!

Revision 1.56  2001/05/10 10:33:36  mguevara
- changed licensing info from "Public Domain" to "mostly Public Domain with
  Free & GPL additions" according to the LEGAL file

Revision 1.55  2001/05/05 21:42:56  kloczek
- release 19: fixed alloc patch (always calculate cells the same way).

Revision 1.54  2001/04/25 22:52:18  misiek
- release 18
- use updated alloc patch (hopefuly fixes segfault problems)

Revision 1.53  2001/04/21 08:06:45  kloczek
- release 17,
- merge Conectiva rlimit_locks patch for add support for RLIMIT_LOCKS
  on ulimit command.

Revision 1.52  2001/04/11 22:10:41  kloczek
- release 16.

Revision 1.51  2001/04/11 05:00:44  agaran
Added simple patch for add EDITMODE special var which is checked before EDITOR/VISUAL
for allow to have EDITOR=VISUAL=vim and EDITMODE=emacs (just because that switch on readline)

Revision 1.50  2001/02/27 11:21:57  misiek
added debian patch; release 15; stb

Revision 1.49  2001/02/05 19:57:50  alchemyx
- typo

Revision 1.48  2001/01/30 16:14:34  kloczek
- relase 14.

Revision 1.47  2001/01/30 16:13:12  misiek
added one more patch

Revision 1.46  2000/12/28 15:07:39  baggins
- allow build without static package (define _without_static for it)

Revision 1.45  2000/12/05 19:24:26  kloczek
- release 13.

Revision 1.44  2000/12/05 18:56:08  misiek
/etc/ksh.kshrc removed as it wasn't used

Revision 1.43  2000/12/03 13:18:43  zagrodzki
- postun changed to preun (I guess it's hard to use shell scripts after
  /bin/sh has been uninstalled :>>)

Revision 1.42  2000/12/03 13:05:58  zagrodzki
- release 12
- replaced grep with sh

Revision 1.41  2000/12/01 15:26:15  baggins
- release 11
- removed prereq: grep

Revision 1.40  2000/11/28 20:13:48  zagrodzki
- release 10
- added prereq: grep

Revision 1.39  2000/11/10 01:17:35  kloczek
- release 9,
- use new rpm automation,
- merge bugfix patch from official ftp site (removed allocfix patch which is
  now included in this patch).

Revision 1.38  2000/08/07 23:10:15  baggins
- release 7
- new version of history patch (also don't store duplicated commands)

Revision 1.37  2000/08/07 12:44:11  kloczek
- adapterized.

Revision 1.36  2000/08/06 03:54:17  baggins
- release 6
- added history-nl patch (separate history lines with \n, not \0

Revision 1.35  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.34  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.33  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.32  2000/04/11 10:00:31  mis
- removed unnecessary basesystem prereq, the same in ldconfig it's enough

Revision 1.31  2000/04/06 20:53:31  kloczek
- release 5.

Revision 1.30  2000/04/05 10:21:50  zagrodzki
- Prereq: basesystem

Revision 1.29  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.28  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.27  1999/11/16 09:33:40  kloczek
- oops .. bump revision to 4.

Revision 1.26  1999/11/16 09:23:32  kloczek
- release 4,
- added quote patch (Marcin Dalecki <dalecki@cs.net.pl>):
  fix quoting whitespaces in input command line tab completition.

Revision 1.25  1999/07/31 13:05:55  kloczek
- release 3 (allocfix patch submitted by Michael Rendell
  <michael@cs.mun.ca>).

Revision 1.24  1999/07/31 12:36:56  misiek
patch fixing alloc bug

Revision 1.23  1999/07/23 19:28:22  kloczek
- release 2,
- updated pl man page.

Revision 1.22  1999/07/19 12:59:34  kloczek
- revision 1.2.

Revision 1.21  1999/07/19 12:58:14  kloczek
- added ne version alloc fix bug patch.

Revision 1.20  1999/07/15 23:12:20  kloczek
- updated to stable 5.2.14,
- removed 8bit and alloc patches (integrated in current version),
- added using %%congigure macro.

Revision 1.19  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun  5 1999 Jan Rkorajski <baggins@pld.org.pl>
  [5.2.13.9-4]
- added static subpackage

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [5.2.13.9-2]
- more rpm macros,
- added pl man page for ksh(1).

* Sun May  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [5.2.13.9-1]
- now package is FHS 2.0 compliant.

* Sun May  2 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [5.2.13.8-1]
- fixed memory allocation bug by Marcin Danecki (pdksh-alloc.patch).

* Fri Mar  5 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [5.2.13.7-2]
- added symlink ksh -> /bin/sh.

* Wed Feb 24 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [5.2.13.7-1]
- removed man group from man pages,
- added --enable-emacs, --enable-vi to configure parameters,
- added LDFLAGS="-s" to configure enviroment,
- removed %{_bindir}/* symlinks,
- added gzipping man pages,
- added bzipping2 %doc,
- added URL,
- added Group(pl),
- simplified %post, %postun.

* Wed Oct 07 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [5.2.12-3d]
- translation modified for pl,
- build from non root's account,
- major changes of the spec file
  (PLD spec file standard).

* Thu Jul 23 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [5.2.12-3]
- build agains glibc-2.1,
- start at RH spec file.
